Skip to content

Create an app deployment

POST
/api/v1/apps/{app_name}/deployments
curl --request POST \
--url https://example.com/api/v1/apps/example/deployments \
--header 'Content-Type: application/json' \
--data '{ "source_code_path": "example", "mode": "SNAPSHOT" }'

Create a new deployment of an app. Only Nexa-managed apps can be deployed.

app_name
required
App Name
string
Media typeapplication/json
CreateAppDeploymentRequest

Request model for creating an app deployment.

object
source_code_path
Any of:
string
mode
Any of:
DeploymentMode

Deployment mode enum from Databricks.

string
Allowed values: AUTO_SYNC SNAPSHOT

Successful Response

Media typeapplication/json
AppDeployment

App deployment model matching Databricks specification.

object
deployment_id
Any of:
string
deployment_artifacts
Any of:
AppDeploymentArtifacts

Deployment artifacts information.

object
source_code_path
Any of:
string
mode
Any of:
DeploymentMode

Deployment mode enum from Databricks.

string
Allowed values: AUTO_SYNC SNAPSHOT
source_code_path
Any of:
string
create_time
Any of:
string format: date-time
creator
Any of:
string
deployment_status
Any of:
AppDeploymentStatus

Deployment status information.

object
state
required
DeploymentState

Deployment state

string
Allowed values: IN_PROGRESS SUCCEEDED FAILED
message
Any of:
string
Example
{
"mode": "SNAPSHOT",
"deployment_status": {
"state": "IN_PROGRESS"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}